Инсталляция 5.0 в существующее дерево

Обсуждение технических вопросов по продуктам Novell

Инсталляция 5.0 в существующее дерево

Сообщение Данияр Кенжеев » 10 фев 2003, 10:01

Привет всем!
В дереве где уже есть нв 5.0(сп6а) 5.1(сп3) и недавно появилась 6.0 (сп2) необходимо добавить сервер 5.0. При инсталляции ндс в существующее дерево происходит ошибка

eror-603 while extending schema with SYS:SYSTEM/SCHEMA/LDAPUPDT.SCH
Retry?
yes no

после нескольких неудачных повторов, выбираю no и далее как обычно. Ну и конечно в конце инсталляции количество критических ошибок которые можно посмотреть ...... . Криво всё. Вопрос: повлиало ли добавление сервера 6.0 в дерево и расширение схемы на возможность добалять старые версии НВ ( НВ5.0)? На саппорте пока по ошибке ничего найти не могу. Решил поставить отдельный сервер 6.0 сп.2 в отдельное дерево и добавить 5.0 - так вообще всё виснет. Если где что не дочитал, не ругайте :(
Аватара пользователя
Данияр Кенжеев
 
Сообщения: 49
Зарегистрирован: 09 сен 2002, 12:52
Откуда: Алматы

Скорее вопрос, чем ответ.

Сообщение Андрей Фисенко » 10 фев 2003, 10:57

Ответ: в 5.0 нет поддержки схемы от 6.0 SP2. Надо патчить (в частности DS.NLM DSREPAIR.NLM)
Вопрос: Зачем именно 5.0?
Андрей Фисенко, Представитель Novell по Сибири и Дальнему Востоку
Изображение
Андрей Фисенко
 
Сообщения: 1308
Зарегистрирован: 05 июн 2002, 08:13
Откуда: Красноярск

Софт требует старый btrive который есть в 5.0

Сообщение Данияр Кенжеев » 10 фев 2003, 11:40

перед установкой 6-ки запускал деплой менеджера который принял существующие версии ДС - на 5.0 это 8.73е, но ведь этот патч ставился тогда уже после установки сервака 5.0. Сейчас по умолчанию ставится версия 7.51 и патчить дальше не даёт. NICI не установлено. SSL сертификатов на вижу. Не весело как то. ВЫходит если 6-ку добавил то старую нетварь (ниже 5.0) уже не воткнёшь?
Аватара пользователя
Данияр Кенжеев
 
Сообщения: 49
Зарегистрирован: 09 сен 2002, 12:52
Откуда: Алматы

Попробуйте так:

Сообщение Андрей Фисенко » 10 фев 2003, 11:58

1. Поставить 5.0 в отдельное дерево.
2. Пропачить его с пом. NWDEPLOY
3. Убить с него дерево и воткнуть в существующее.
4. Сгенерить сертификаты (KMO) руками.
Андрей Фисенко
 
Сообщения: 1308
Зарегистрирован: 05 июн 2002, 08:13
Откуда: Красноярск

Спасибо Андрей

Сообщение Данияр Кенжеев » 11 фев 2003, 10:37

Отвлекли, вчера не смог ответить. Буду пробовать, тидов вот тока начитаюсь :)
Аватара пользователя
Данияр Кенжеев
 
Сообщения: 49
Зарегистрирован: 09 сен 2002, 12:52
Откуда: Алматы

Вот и вопрос

Сообщение Данияр Кенжеев » 12 фев 2003, 10:59

Сделал как посоветовали, во временное дерево. Пропатчил и удалил дс по тиду 10019060 (removing directory services from server). Дальше другой тид 10063721 (install nw 5.x after removing....). Посадил сервер в дерево, таймсинк, nls_lsp, server license, sas object, а вот с КМО не получается. (ошибка -1222 сервер сертификатов не потдерживает запрошенную операцию.) Из тида 10075982 (basic troubleshooting steps for certificate server problem) следует что проблема с сервером сертификатов. Но для другого сервера новые сертификаты создаются, pkidiag ошибок не находит. С1 вер 1.3.4. Может кто подскажет как с этим быть?
Аватара пользователя
Данияр Кенжеев
 
Сообщения: 49
Зарегистрирован: 09 сен 2002, 12:52
Откуда: Алматы

если никто не против тему можно закрыть

Сообщение Данияр Кенжеев » 19 фев 2003, 17:41

накатил едир поверх всех этих ошибок и всё пересоздалось заново.
А как определить что тема закрыта? :oops:
Аватара пользователя
Данияр Кенжеев
 
Сообщения: 49
Зарегистрирован: 09 сен 2002, 12:52
Откуда: Алматы

Так тему закрыть?

Сообщение Андрей Фисенко » 19 фев 2003, 18:41

Слева у темы стоит (висит) закрытый замок.
Андрей Фисенко
 
Сообщения: 1308
Зарегистрирован: 05 июн 2002, 08:13
Откуда: Красноярск

Вставлю пять копеек про причину, по которой хотят 5.0

Сообщение Boris Morozov » 20 фев 2003, 04:05

Все старые задачи с btrieve прекрасно работают с PVSW.
Все там очень даже совместимо. А про проблему я догадываюсь.
Старый Brequest 94 года, который идет в поставке 5.0 не работает с PVSW.
Надо просто заменить его на brequest из поставки первазива, хотя бы 97 года. И не забыть про brequest.msg к нему. Эта штука будет работать и btrieve 6.
А если машины виндовые, то поставьте клиента первазива и работайте хоть на чистом IP.
Boris Morozov
 
Сообщения: 1333
Зарегистрирован: 05 июн 2002, 22:24
Откуда: Минск


Вернуться в Novell

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 5

cron